### 接口地址：`站点准备`

### 调用方式：`HTTP GET`

### 接口描述：IYUUPlus辅种前用户验证

### 请求参数：

| 字段名称 | 字段说明   | 类型   | 必填 | 备注                                                     |
| -------- | ---------- | ------ | ---- | -------------------------------------------------------- |
| token    | 随机字符串 | string | Y    | 请求方随机生成，永不重复                                 |
| id       | 用户数字ID | int    | Y    | 用户在站点的唯一数字ID                                   |
| verity   | 验证字段   | string | Y    | 验证算法：`MD5($token . $id . sha1($passkey) . $secret)` |

### 响应参数：

| 字段名称 | 字段说明 | 类型    | 必填 | 备注                    |
| -------- | -------- | ------- | ---- | ----------------------- |
| success  | 验证结果 | boolean | Y    | 成功`true`、失败`false` |
| msg      | 错误消息 | string  | N    | 失败提示信息            |



### 验证步骤：

1. 双方提前约定私有密钥：`$secret`
2. IYUU服务器携带3个请求参数，对接口地址发起HTTP`GET`请求
3. 站点接收3个请求参数
4. 站点验证用户id是否存在、账户是否异常等
5. 站点得到用户`$passkey`字段
6. 验证算法：`$verity === MD5($token . $id . sha1($passkey) . $secret)`
7. 验证成功返回报文：`{"success": true}`
8. 验证失败返回报文：`{"success": false, "msg": "失败提示信息"}`